import { User } from "../data/user.model";
import { AutoRole, AutoRoleRule } from "../data/auto_role.model";

export interface GraphQLResult {
  data: any;
  errors?: [];
}

export interface QueryResult {
  data: any;
}

export interface UpdateUserMutationResult {
  user: {
    updateUser: User
  };
}

export interface AutoRoleMutationResult {
  autoRole: {
    createAutoRole?: AutoRole
    updateAutoRole?: AutoRole
    deleteAutoRole?: AutoRole
  };
}

export interface AutoRoleRuleMutationResult {
  autoRoleRule: {
    createAutoRoleRule?: AutoRoleRule
    updateAutoRoleRule?: AutoRoleRule
    deleteAutoRoleRule?: AutoRoleRule
  };
}
